curl --request GET \
--url https://api.tikway.ai/v1/videos/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tikway.ai/v1/videos/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tikway.ai/v1/videos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 1789108566,
"id": "9552de3d-171f-4cca-b492-7baa56523239",
"model": "grok-imagine-video-1.5-fast",
"prompt": "A golden retriever runs on the beach at sunset. The camera follows steadily, and the sea breeze blows the hair. The picture presents a natural and delicate film texture.",
"status": "in_progress",
"usage": {
"video_seconds": 4
}
}Query Grok Imagine Video video tasks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Unique identifier for the video generation task.
Response
Response parameters for GET /v1/videos/{id}. Data is returned only when the task status is completed.
Video task creation time, Unix timestamp, unit is seconds.
x >= 01789108566
The unique identifier of the video generation task.
1"9552de3d-171f-4cca-b492-7baa56523239"
The model ID used when creating the video task.
1"bytedance/seedance-2.0-mini"
Prompt word submitted when creating a video task.
"A golden retriever runs on the beach at sunset. The camera follows steadily, and the picture presents a natural and delicate film quality."
Task status. pending means waiting for processing; queue means queuing; in_progress means generation or platform processing is in progress; completed means both video and OSS resources have been processed; failed means failure; cancelled means canceled; expired means expired.
pending, queue, in_progress, completed, failed, cancelled, expired "in_progress"

